jetton: name (1–512), symbol (1–8), description (1–1024), image_url (off-chain image), supply and max_supply (whole tokens, 1 … 10¹⁹, max_supply ≥ supply).master_address. Needs ≥ 0.11 TON in the wallet.{"code":…,"message":…})| Code | When |
|---|---|
unauthenticated (401) | missing or expired JWT |
invalid_argument (400) | jetton.max_supply can't be smaller than jetton.supply |
aborted (409) | insufficient funds |
failed_precondition (412) | check mint parameters |
Authorization: Bearer ********************{
"jetton": {
"description": "Jetton created by apiton.org",
"image_url": "https://apiton.org/empty_coin.png",
"max_supply": "1000000",
"name": "Super Coin",
"supply": "1000000",
"symbol": "SUP"
}
}curl --location 'https://app.apiton.org/v2.JettonContract/Mint' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"jetton": {
"description": "Jetton created by apiton.org",
"image_url": "https://apiton.org/empty_coin.png",
"max_supply": "1000000",
"name": "Super Coin",
"supply": "1000000",
"symbol": "SUP"
}
}'{
"master_address": "string"
}